package be.iminds.ilabt.jfed.experimenter_gui.slice.events;

import be.iminds.ilabt.jfed.experimenter_gui.slice.ExperimentViewController;

/**
 * User: twalcari
 * Date: 5/12/2015
 * Time: 16:17
 */
public class SaveExperimentEvent extends ExperimentControllerEvent {
    private final ExperimentViewController experimentViewController;
    private final boolean saveToCsv;

    public SaveExperimentEvent(ExperimentViewController experimentViewController, boolean saveToCsv) {
        super(experimentViewController.getScene().getWindow(), experimentViewController.getExperimentController());
        this.experimentViewController = experimentViewController;
        this.saveToCsv = saveToCsv;
    }

    public boolean isSaveToCsv() {
        return saveToCsv;
    }

    public ExperimentViewController getExperimentViewController() {
        return experimentViewController;
    }
}
